MINTPY-SOLID_EARTH_TIDES(1)

NAME
mintpy-solid_earth_tides - Solid Earth tides (SET) correction

DESCRIPTION
usage: solid_earth_tides.py [-h] -g GEOM_FILE [--date-wise-acq-time]

[--verbose] [--update] [--set-file SET_FILE]
    [-o COR_DIS_FILE] dis_file

Solid Earth tides (SET) correction

  positional arguments:

dis_file
    timeseries HDF5 file, i.e. timeseries.h5

  options:

-h, --help
    show this help message and exit

-g GEOM_FILE, --geomtry GEOM_FILE
    geometry file including incidence/azimuthAngle.

--date-wise-acq-time
    Use the exact date-wise acquisition time instead of the common one for tides calculation. For ISCE-2/topsStack products only, and requires ../reference and ../secondarys folder. There is <1 min difference btw. S1A/B -> Negligible impact for InSAR.

--verbose
    Verbose message.

--update
    Enable update mode.

--set-file SET_FILE
    line-of-sight solid earth tide file name

-o COR_DIS_FILE
    Output file name for the corrected timeseries.

  reference:

    Milbert, D., Solid Earth Tide, http://geodesyworld.github.io/SOFTS/solid.htm, Accessd 2020 September 6. Fattahi, H., Z. Yunjun, X. Pi, P. S. Agram, P. Rosen, and Y. Aoki (2020), Absolute geolocation of SAR

    Big-Data: The first step for operational InSAR time-series analysis, AGU Fall Meeting 2020, 1-17 Dec 2020.

  template options:

    ## Solid Earth tides (SET) correction [need to install insarlab/PySolid] ## reference: Milbert (2018); Fattahi et al. (2020, AGU) mintpy.solidEarthTides = auto #[yes / no], auto for no

  example:

    solid_earth_tides.py timeseries.h5 -g inputs/geometryRadar.h5 solid_earth_tides.py timeseries.h5 -g inputs/geometryGeo.h5 solid_earth_tides.py geo/geo_timeseries_ERA5_demErr.h5 -g geo/geo_geometryRadar.h5